%define	major 3
%define	libname %mklibname autotrace %{major}
%define	develname %mklibname autotrace -d

Summary:	Program for converting bitmap to vector graphics
Name:		autotrace
Version:	0.31.1
Release:	%mkrel 37
Group:		Publishing
License:	GPLv2+ and LGPLv2+
URL:		http://autotrace.sourceforge.net
Source0:	http://prdownload.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		autotrace_0.31.1-13.diff
Patch1:		autotrace-0.31.1-swf-output.patch
Patch2:		autotrace-0.31.1-libpng-1.5.patch
BuildRequires:	pstoedit-devel
BuildRequires:	libxt-devel
BuildRequires:	imagemagick-devel
BuildRequires:	libpng-devel
BuildRequires:	multiarch-utils >= 1.0.3
# (Abel) doesn't work with newer libming                                           
#BuildConflicts:	libming-devel                                               
Provides:	fonttracer
Requires:	%{libname} = %{version}


%description
Autotrace is a program for converting bitmap to vector graphics.
Supported formats:

- Input formats: BMP, TGA, PNM, PPM, PGM, PBM and those supported by
  ImageMagick.

- Export formats: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, 
  mif, p2e and sk

%package -n	%{libname}
Summary:	Autotrace libraries
Group:		System/Libraries
# In the past, a package libautotrace4 existed which in reality
# contained /usr/lib/libautotrace.so.3.0.0. Make the correct
# libautotrace3 conflict with the wrong libautotrace4, to fix upgrade
Conflicts:	%mklibname autotrace 4

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with autotrace libraries.

%package -n	%{develname}
Summary:	Static libraries and header files for autotrace development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname autotrace 4 -d}

%description -n %{develname}
This package contains the static libraries and header files for
developing applications based on autotrace.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/autotrace-config


%files
%doc AUTHORS ChangeLog COPYING FAQ README THANKS
%{_bindir}/autotrace
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%multiarch %{multiarch_bindir}/autotrace-config
%{_bindir}/autotrace-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.31.1-37.mga3
+ Revision: 346695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.31.1-36.mga3
+ Revision: 336521
- fix build with new automake 1.13

* Fri Dec 14 2012 fwang <fwang> 0.31.1-35.mga3
+ Revision: 330728
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.31.1-34.mga3
+ Revision: 305072
- br libpng

* Tue Sep 13 2011 fwang <fwang> 0.31.1-34.mga2
+ Revision: 142823
- rebuild for new imagemagick

* Sun Sep 11 2011 fwang <fwang> 0.31.1-33.mga2
+ Revision: 142303
- add gentoo patch to build with libpng 1.5
- rebuild for new libpng

* Fri Apr 01 2011 spuhler <spuhler> 0.31.1-32.mga1
+ Revision: 79445
- added libxt-devel as buildrequires
- removed if mandriva macro req.
- imported package autotrace

